## org.apache.tools.ant.types
Class RegularExpression

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.types.DataType
              org.apache.tools.ant.types.RegularExpression

public class RegularExpression
extends DataType

A regular expression datatype. Keeps an instance of the compiled expression for speed purposes. This compiled expression is lazily evaluated (it is compiled the first time it is needed). The syntax is the dependent on which regular expression type you are using. The system property "ant.regexp.regexpimpl" will be the classname of the implementation that will be used.

     For jdk  <= 1.3, there are two available implementations:
       org.apache.tools.ant.util.regexp.JakartaOroRegexp (the default)
            Based on the jakarta-oro package

       org.apache.tools.ant.util.regexp.JakartaRegexpRegexp
            Based on the jakarta-regexp package

     For jdk >= 1.4 an additional implementation is available:
       org.apache.tools.ant.util.regexp.Jdk14RegexpRegexp
            Based on the jdk 1.4 built in regular expression package.

       <regexp [ [id="id"] pattern="expression" | refid="id" ]
       />

Author:
  Matthew Inger mattinger@mindless.com
See Also:
  `Perl5Compiler`, `RE`, `Pattern`, `Regexp`

Field Summary
`static java.lang.String` `DATA_TYPE_NAME` Name of this data type

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, description, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`RegularExpression()`

Method Summary
`java.lang.String` `getPattern(Project p)` Gets the pattern string for this RegularExpression in the given project.
`RegularExpression` `getRef(Project p)` Get the RegularExpression this reference refers to in the given project.
`Regexp` `getRegexp(Project p)`
`void` `setPattern(java.lang.String pattern)`

Methods inherited from class org.apache.tools.ant.types.DataType
`circularReference, dieOnCircularReference, getCheckedRef, getDescription, isReference, noChildrenAllowed, setDescription, setRefid, tooManyAttributes`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DATA_TYPE_NAME

    public static final java.lang.String DATA_TYPE_NAME

  Name of this data type

  See Also:
    Constant Field Values

Constructor Detail

### RegularExpression

    public RegularExpression()

Method Detail

### setPattern

    public void setPattern(java.lang.String pattern)

### getPattern

    public java.lang.String getPattern(Project p)

  Gets the pattern string for this RegularExpression in the given project.

### getRegexp

    public Regexp getRegexp(Project p)

### getRef

    public RegularExpression getRef(Project p)

  Get the RegularExpression this reference refers to in the given project. Check for circular references too

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.